
(($) => {

'use strict';

var $buttons = $('input[name=post], input[name=preview]'),
    endTime = null,
    $toggle = $('#load-quick-reply'),
    $qr_postform = $('form#qr_postform'),
    $post_button = $('input[name=post]');

    const $time = 3000;
    const ms = 1000;
    const day = 86400;
    const hour = 3600;
    const min = 60;

$toggle.click((e) => {
    e.preventDefault();

    $toggle.toggleClass('quick-reply-clicked');
    var $title = qrfull.show;
    $('#quick-reply-show-hide').text(qrfull.show);
    if($toggle.hasClass('quick-reply-clicked')) {
        $title = qrfull.hide;
        $('#quick-reply-show-hide').text(qrfull.hide);
    }
    $toggle.attr('title', $title);

    $qr_postform.find($buttons).toggle();
    $('#quick-reply').toggle("slow");
    $('#load-quick-reply i.icon').toggleClass('fa-toggle-off icon-red fa-rotate-180');
});

$(() => {
    $qr_postform.find($buttons).hide();

    $post_button.click((e) => {
        var $message =  $qr_postform.find('textarea[name=message]').val().trim().length;
        if (!$message) {
            e.preventDefault();
            $('#quick-reply-alert-panel').show().text(qrfull.alertMsg);
            if (typeof phpbb.alert === "function") {
                phpbb.alert(qrfull.titleInfo, qrfull.alertMsg);
                phpbb.closeDarkenWrapper($time);
            } else {
                alert(qrfull.titleInfo, qrfull.alertMsg);
            }
        }
    });

//$post_button.prop('diabled', true);
    var endTime = setInterval(() => {
    var now, countDown, timeLeft, days,
        hours, minutes, seconds;

        now = new Date().getTime();
        countDown = new Date(qrfull.postTime).getTime();
        timeLeft = countDown - now;

        days = Math.floor(timeLeft / (ms * day));
        days = days > 0 ? days + "d " : "";

        hours = Math.floor((timeLeft % (ms * day)) / (ms * hour));
        hours = hours > 0 ? hours + "h " : "";

        minutes = Math.floor((timeLeft % (ms * hour)) / (ms * min));
        minutes = minutes > 0 ? minutes + "m " : "";

        seconds = Math.floor((timeLeft % (ms * min)) / ms);
        seconds = seconds > 0 ? seconds + " seconds" : "";

        $("#end_time").text(days + hours + minutes + seconds);

        if (timeLeft > 0) {
            $("#end_time_panel").show();
        }

        if (timeLeft < 0) {
            clearInterval(endTime);
            $("#end_time_panel").css({"background": "#80BF40", "color": "white"});
            $("#end_time_span").text(qrfull.postNow);
        }
    }, ms);

});

})(jQuery);
