<?php
/**
 * Quick Reply Full. An extension for the phpBB Forum Software package.
 * @copyright (c) 2022, Steve, https://www.stevenclark.eu/phpBB3/
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// ’ » “ ” …

$lang = array_merge($lang, [
    'STEVE_QUICK_REPLY_MESSAGE_EMPTY'   => 'Your message contains too few characters.',
	'STEVE_SHOW_QUICK_REPLY_HIDE'       => 'Hide Quick Reply',
    'STEVE_SHOW_QUICK_REPLY_NEXT'       => ', you can’t reply until:',
    'STEVE_SHOW_QUICK_REPLY_NOW'        => ', you now can reply to this Topic.',
    'STEVE_SHOW_QUICK_REPLY_SHOW'       => 'Show Quick Reply',
    'STEVE_SHOW_QUICK_REPLY_WAIT'       => ', Please wait:',
]);
